#!/bin/sh
. `dirname $0`/func.sh

init_dev
[ $? -ne 0 ] && exit 1

guess_param

echo ""
echo "Attention: Before start the script, set the right IP address for you Host!"
echo "=========================================================================="
echo ""
echo "For show the stream on HOST read the \"readme.txt\""
echo ""
H264_ENC_VIDEONUMBER=`gst-inspect-1.0  | grep 264enc | awk '{print $2}'`
H264_ENC_VIDEONUMBER="${H264_ENC_VIDEONUMBER%?}"
echo "ENCODER Number = $H264_ENC_VIDEONUMBER"
echo ""
echo "starting gstreamer with GRAY Source ..."
echo "read $GRAB_RES (offset x,y=$OFFSET_SENSOR), convert/compress H264 and write to network"
echo "======================================================================="
echo ""
echo "configure IPU/VPU with media_control"
echo "===================================="

media-ctl -r
media-ctl -V ''$CAM_ENTITY_NUMBER'0[fmt:'$CAM_BW_FMT'/'$GRAB_RES'('$OFFSET_SENSOR')/'$SENSOR_RES_LIVE_DEMO']'
media-ctl -V '"ipu0-csi0-sd":0[fmt:'$CAM_BW_FMT'/'$GRAB_RES']'
media-ctl -V '"ipu0-csi0-sd":1[fmt:'$CAM_BW_FMT'/'$GRAB_RES']'
#media-ctl -l '2:0 -> 1:0[1], 1:1 -> 2:0[1]'
#           Camera -> IPU0-CSI0-sd -> IPU0-CSI0-video (/dev/videoX)

echo ""
echo "start gstreamer, break with ctl-C"
echo "================================="

gst-launch-1.0 \
	v4l2src device=$IPU0_CSI0_DEVICE ! \
	i2c file=$REG_SET_FILE show=0 dev=$CAM_DEVICE ! \
	video/x-raw,format=GRAY8,depth=8$FRAME_SIZE_LIVE_DEMO$REMAPPER ! \
	videoconvert ! \
	$H264_ENC_VIDEONUMBER ! \
	rtph264pay config-interval=10 pt=96 ! \
	udpsink host=192.168.2.7 port=5200

